/**
 * モーダルウィンドウ見積もりフォーム 
 * FutureShop CMS 本店サイト用
 */
/*---------------------------------
estimateModal
---------------------------------*/
#estimateModal {
    background: rgba(0, 0, 0, 0.7);
    color: #333333;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 2147483600;
    display: flex;
    align-items: flex-start;
    opacity: 1;
    overflow: auto;
    padding: 16px 0 40px;
}

.estimateModal__inner {
    background: #ffffff;
    border-radius: 3px;
    color: #333333;
    display: flex;
    align-items: stretch;
    flex-direction: column;
    justify-content: flex-start;
    position: relative;
    margin: auto;
    max-width: calc(100vw - 8px * 2);
    min-width: 360px;
}

.estimateModal__header {
    display: flex;
    align-items: stretch;
    justify-content: space-between;
    background: #f7f7f7;
    border-top-left-radius: 3px;
    border-top-right-radius: 3px;
    padding: 8px 16px;
}

.estimateModal__ttl {
    font-size: inherit;
    font-weight: bold;
    margin: 0;
    padding: 0.1em 0 0;
}

.estimateModal__close {
    padding: 3px;
    color: #333333;
    cursor: pointer;
    white-space: nowrap;
}

.estimateModal__close:before {
    font-family: "fs-icon" !important;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\e911";
    display: block;
    font-size: 0.9em;
    height: 1em;
}

.estimateModal__cont {
    flex-grow: 1;
    max-height: calc(100% - 80px);
    overflow: auto;
    padding: 16px;
    position: relative;
}

.estimateModal__inqryPrdct {
    display: grid;
    grid-template-columns: 64px 1fr;
    margin: 0 auto 20px;
}

.estimateModal__inqryPrdct__prdctImg {
    margin-right: 8px;
}

.estimateModal__inqryPrdct__prdctImg__img {
    display: block;
    width: auto;
    margin: auto;
    max-width: 100%;
}

.estimateModal__inqryPrdct__prdctName__copy {
    display: block;
    font-size: 1.4rem;
    line-height: 1.5;
    font-weight: normal;
    padding-bottom: 5px;
}

.estimateModal__inqryPrdct__prdctName__name {
    display: block;
    font-size: 1.4rem;
    line-height: 1.5;
    font-weight: normal;
}

.estimateModal__inqryMsg {
    margin: 0 0 16px;
}


/*---------------------------------
estimateForm
---------------------------------*/
.estimateForm__inptTbl {
    border-top: none;
    border-right: none;
    border-collapse: collapse;
    border-spacing: 0;
    table-layout: auto;
    width: 100%;
}

.estimateForm__inptTbl > tbody {
    display: block;
    padding-bottom: 16px;
}

.estimateForm__inptTbl > tbody > tr {
    display: flex;
    flex-wrap: wrap;
    padding: 0;
    -webkit-box-orient: horizontal;
    -webkit-box-direction: normal;
    flex-direction: column;
    margin-top: 8px;
}

.estimateForm__inptTbl th,
.estimateForm__inptTbl td {
    border: none;
}

.estimateForm__inptTbl > tbody th, 
.estimateForm__inptTbl > tbody td {
    padding: 0;
    border-bottom: none;
    border-left: none;
    background: none;
    flex-basis: unset;
}

.estimateForm__inptTbl > tbody th {
    background: none;
    font-weight: 600;
}

.estimateForm__inptTbl__hdrCell {
    text-align: left;
    position: static;
}

.estimateForm__inptTbl__rqirdMark {
    display: inline-block;
    overflow: hidden;
    text-indent: -999px;
    width: 1em;
    height: 1em;
    right: 0;
    position: static;
    top: 0;
    transform: none;
}
.estimateForm__inptTbl__rqirdMark:before {
    display: block;
    text-indent: 0;
    content: "*";
    color: initial;
    background: none;
    border-radius: 0;
    font-size: 1.2em;
    padding: 0;
    text-align: left;
    line-height: initial;
}

.estimateForm__inptFld__rdoField {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 10px;
    margin-bottom: 8px;
}

.estimateForm__prvcyPlcyFld {
    margin-top: 32px;
}

.estimateForm__chckbx {
    display: inline-flex;
    align-items: center;
}

.estimateForm__chckbx__checkbox {
    display: none;
}

.estimateForm__chckbx__label {
    display: flex;
    align-items: center;
    cursor: pointer;
    position: relative;
}

.estimateForm__chckbx__chckMark {
    background: #ffffff;
    border-radius: 3px;
    border: 2px solid #999999;
    cursor: pointer;
    display: block;
    width: 8px;
    height: 16px;
    margin: 0 4px 0 0;
    position: relative;
    min-width: 16px;
}
.estimateForm__chckbx__chckMark:before {
    font-family: "fs-icon" !important;
    speak: none;
    font-style: normal;
    font-weight: normal;
    font-variant: normal;
    text-transform: none;
    line-height: 1;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    content: "\e910";
    color: #ffffff;
    display: block;
    opacity: 0;
    position: absolute;
    font-size: 1em;
    top: -0.05em;
    left: -0.05em;
}

.estimateForm__chckbx__checkbox:checked + label > .estimateForm__chckbx__chckMark {
    background: #1f5da0;
    border-color: #1f5da0;
    color: #ffffff;
    transition: all 0.5s 0s ease;
}
.estimateForm__chckbx__checkbox:checked + label > .estimateForm__chckbx__chckMark::before {
    opacity: 1;
}

.estimateModal__btnCont {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 8px 0;
    margin-top: 32px;
}
@media screen and (min-width: 768px) {
    .estimateModal__btnCont {
        justify-content: flex-end;
    }
}

.estimateModal__btn {
    min-width: 240px;
    background: #444444;
    border: 1px solid #444444;
    border-radius: 0px;
    color: #ffffff;
    cursor: pointer;
    display: inline-block;
    font-size: 1.4rem;
    line-height: 1;
    text-decoration: none;
    text-align: center;
    padding: 0.8em 1.6em 0.6em;
    box-shadow: 0 0 2px #b2b2b2;
}

.estimateForm__submit {
    background: #ebebeb;
    border: 1px solid #bbbbbb;
    border-radius: 0px;
    color: #3c3c3c;
    cursor: pointer;
    display: inline-block;
    font-size: 1.2rem;
    line-height: 1;
    text-decoration: none;
    text-align: center;
    padding: 0.8em 1.6em 0.6em;
    box-shadow: 0 0 2px #b2b2b2;
}

.estimate-spinner {
    display: inline-block;
    width: 40px;
    height: 40px;
    border: 4px solid rgba(0, 0, 0, 0.15);
    border-top-color: #333;
    border-radius: 50%;
    animation: estimate-spin 0.8s linear infinite;
}
@keyframes estimate-spin {
  to { transform: rotate(360deg); }
}
